Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core
Class ModelChangedEvent

    java.lang.Object
      org.eclipse.pde.core.ModelChangedEvent

All Implemented Interfaces:
  IModelChangedEvent

public class ModelChangedEvent
extends Object
implements IModelChangedEvent

Since:
  2.0
See Also:
  `IModelChangedEvent`

Field Summary

Fields inherited from interface org.eclipse.pde.core.IModelChangedEvent
`CHANGE, INSERT, REMOVE, WORLD_CHANGED`

Constructor Summary
`ModelChangedEvent(IModelChangeProvider provider, int type, Object[] objects, String changedProperty)` The constructor of the event.
`ModelChangedEvent(IModelChangeProvider provider, Object object, String changedProperty, Object oldValue, Object newValue)` A costructor that should be used for changes of object properties.

Method Summary
`Object[]` | `getChangedObjects()` Returns an array of model objects that are affected by the change.
`String` | `getChangedProperty()` Returns a name of the object's property that has been changed if change type is CHANGE.
`IModelChangeProvider` | `getChangeProvider()` Returns the provider that fired this event.
`int` | `getChangeType()` Returns the type of change that occured in the model (one of `INSERT` , `REMOVE` , `CHANGE` or `WORLD_CHANGED` ).
`Object` | `getNewValue()` The new property value.
`Object` | `getOldValue()` The old property value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelChangedEvent

    public ModelChangedEvent(IModelChangeProvider provider,
                             int type,
                             Object[] objects,
                             String changedProperty)

  The constructor of the event.

Parameters:
  `provider` - the change provider
  `type` - the event type
  `objects` - the changed objects
  `changedProperty` - or `null` if not applicable

### ModelChangedEvent

    public ModelChangedEvent(IModelChangeProvider provider,
                             Object object,
                             String changedProperty,
                             Object oldValue,
                             Object newValue)

  A costructor that should be used for changes of object properties.

Parameters:
  `provider` - the event provider
  `object` - affected object
  `changedProperty` - changed property of the affected object
  `oldValue` - the value before the change
  `newValue` - the value after the change

Method Detail

### getChangeProvider

    public IModelChangeProvider getChangeProvider()

  Description copied from interface: `IModelChangedEvent`
  Returns the provider that fired this event.

  Specified by:
    `getChangeProvider` in interface `IModelChangedEvent`
  Returns:
    the event provider
  See Also:
    `IModelChangedEvent.getChangeProvider()`

### getChangedObjects

    public Object[] getChangedObjects()

  Description copied from interface: `IModelChangedEvent`
  Returns an array of model objects that are affected by the change.

  Specified by:
    `getChangedObjects` in interface `IModelChangedEvent`
  Returns:
    array of affected objects
  See Also:
    `IModelChangedEvent.getChangedObjects()`

### getChangedProperty

    public String getChangedProperty()

  Description copied from interface: `IModelChangedEvent`
  Returns a name of the object's property that has been changed if change type is CHANGE.

  Specified by:
    `getChangedProperty` in interface `IModelChangedEvent`
  Returns:
    property that has been changed in the model object, or `null` if type is not CHANGE or if more than one property has been changed.
  See Also:
    `IModelChangedEvent.getChangedProperty()`

### getOldValue

    public Object getOldValue()

  The old property value.

  Specified by:
    `getOldValue` in interface `IModelChangedEvent`
  Returns:
    the value before the change

### getNewValue

    public Object getNewValue()

  The new property value.

  Specified by:
    `getNewValue` in interface `IModelChangedEvent`
  Returns:
    the value after the change

### getChangeType

    public int getChangeType()

  Description copied from interface: `IModelChangedEvent`
  Returns the type of change that occured in the model (one of `INSERT` , `REMOVE` , `CHANGE` or `WORLD_CHANGED` ).

  Specified by:
    `getChangeType` in interface `IModelChangedEvent`
  Returns:
    type of change
  See Also:
    `IModelChangedEvent#getChangedType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.